<?php 
$header_search_box = themesflat_get_opt('header_search_box');
if (themesflat_get_opt_elementor('header_search_box') != '') {
    $header_search_box = themesflat_get_opt_elementor('header_search_box');
}

$header_cart_icon = themesflat_get_opt('header_cart_icon');
if (themesflat_get_opt_elementor('header_cart_icon') != '') {
    $header_cart_icon = themesflat_get_opt_elementor('header_cart_icon');
}

$header_user = themesflat_get_opt('header_user');
if (themesflat_get_opt_elementor('header_user') != '') {
    $header_user = themesflat_get_opt_elementor('header_user');
}

$header_sidebar_toggler = themesflat_get_opt('header_sidebar_toggler');
if (themesflat_get_opt_elementor('header_sidebar_toggler') != '') {
    $header_sidebar_toggler = themesflat_get_opt_elementor('header_sidebar_toggler');
}

$header_button_show = themesflat_get_opt('header_button_show');
if (themesflat_get_opt_elementor('header_button_show') != '') {
    $header_button_show = themesflat_get_opt_elementor('header_button_show');
}
?>
<?php get_template_part( 'tpl/topbar'); ?>
<header id="header" class="header header-default <?php echo themesflat_get_opt_elementor('extra_classes_header'); ?>">
    <div class="inner-header">  
        <div class="tf-container">
            <div class="row">
                <div class="col-md-12">
                    <div class="header-wrap clearfix">
                        <div class="header-ct-left">
                            <?php get_template_part( 'tpl/header/brand'); ?>

                            <?php if ( $header_search_box == 1 ) :?>
                                <div class="show-search">
                                    <a href="#"><i class="icon-labaid-la-42"></i></a> 
                                    <div class="submenu top-search widget_search">
                                        <?php get_search_form(); ?>
                                    </div>        
                                </div> 
                            <?php endif;?>
                        </div>
                        <div class="header-ct-center">
                            <?php                            
                                wp_nav_menu( array( 'theme_location' => 'header', 'fallback_cb' => 'themesflat_menu_fallback', 'container' => false ) );
                                ?>  
                            </div>
                        <div class="header-ct-right">
                            <?php global $current_user; wp_get_current_user(); ?>
                            <?php if ( $header_user == 1 ) :?>
                            <div class="group-sign">
                                <svg width="14" height="18" viewBox="0 0 14 18" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <path d="M13.7539 18H12.2539V14.2178C12.2533 13.6298 12.0195 13.066 11.6037 12.6502C11.1879 12.2344 10.6242 12.0006 10.0362 12H3.97166C3.38366 12.0006 2.81991 12.2344 2.40413 12.6502C1.98835 13.066 1.7545 13.6298 1.75391 14.2178V18H0.253906V14.2178C0.255097 13.2321 0.64717 12.2872 1.34413 11.5902C2.04108 10.8933 2.98601 10.5012 3.97166 10.5H10.0362C11.0218 10.5012 11.9667 10.8933 12.6637 11.5902C13.3606 12.2872 13.7527 13.2321 13.7539 14.2178V18Z" fill="#142441"/>
                                    <path d="M7.00391 9C6.11389 9 5.24386 8.73608 4.50384 8.24162C3.76382 7.74715 3.18704 7.04434 2.84645 6.22208C2.50585 5.39981 2.41674 4.49501 2.59037 3.6221C2.76401 2.74918 3.19259 1.94736 3.82193 1.31802C4.45126 0.688685 5.25309 0.260102 6.126 0.0864683C6.99891 -0.0871652 7.90371 0.00194979 8.72598 0.342544C9.54825 0.683138 10.2511 1.25991 10.7455 1.99994C11.24 2.73996 11.5039 3.60999 11.5039 4.5C11.5027 5.69311 11.0282 6.83701 10.1846 7.68067C9.34092 8.52432 8.19701 8.99881 7.00391 9ZM7.00391 1.5C6.41056 1.5 5.83054 1.67595 5.3372 2.00559C4.84385 2.33524 4.45933 2.80377 4.23227 3.35195C4.0052 3.90013 3.94579 4.50333 4.06155 5.08527C4.17731 5.66722 4.46303 6.20177 4.88259 6.62132C5.30214 7.04088 5.83669 7.3266 6.41864 7.44236C7.00058 7.55811 7.60378 7.4987 8.15196 7.27164C8.70014 7.04458 9.16867 6.66006 9.49831 6.16671C9.82796 5.67336 10.0039 5.09335 10.0039 4.5C10.0039 3.70435 9.68784 2.94129 9.12523 2.37868C8.56262 1.81607 7.79956 1.5 7.00391 1.5Z" fill="#142441"/>
                                </svg>
    
                                <span class="sign-in">
                                    <?php
                                        if ( is_user_logged_in() ) {
                                            echo esc_html__('Welcome ,', 'labaid') . $current_user->display_name . "";
                                        } else {
                                           
                                           echo '<a href="./my-account/">' . esc_html__('Sign In', 'labaid') .'</a>';
                                        }
                                    ?>
                                </span>
                            </div>
                            <?php endif;?>
                            <?php if ( $header_cart_icon == 1 ) :?>
                                <?php get_template_part( 'tpl/header/header-cart'); ?>
                            <?php endif;?>

                            <?php if ( $header_button_show == 1 ) :?>

                            <?php if ( themesflat_get_opt('header_button_text') != '' && themesflat_get_opt('header_button_url') != '' ) :?>
                            <div class="wrap-btn-header draw-border">
                                <a class="btn-header" href="<?php echo esc_url(themesflat_get_opt('header_button_url')) ?>"><?php echo themesflat_get_opt('header_button_text'); ?></a> 
                            </div>
                            <?php endif;?>
                            <?php endif;?>

                            <?php if ( $header_sidebar_toggler == 1 ) :?>
                                <div class="header-modal-menu-left-btn">
                                    <div class="modal-menu-left-btn">
                                        <svg width="22" height="22" viewBox="0 0 22 22" fill="none" xmlns="http://www.w3.org/2000/svg">
                                            <path d="M1.66699 4.00002C1.66699 3.38118 1.91282 2.78769 2.35041 2.3501C2.78799 1.91252 3.38149 1.66669 4.00033 1.66669H6.33366C6.9525 1.66669 7.54599 1.91252 7.98357 2.3501C8.42116 2.78769 8.66699 3.38118 8.66699 4.00002V6.33335C8.66699 6.95219 8.42116 7.54568 7.98357 7.98327C7.54599 8.42085 6.9525 8.66669 6.33366 8.66669H4.00033C3.38149 8.66669 2.78799 8.42085 2.35041 7.98327C1.91282 7.54568 1.66699 6.95219 1.66699 6.33335V4.00002ZM13.3337 4.00002C13.3337 3.38118 13.5795 2.78769 14.0171 2.3501C14.4547 1.91252 15.0482 1.66669 15.667 1.66669H18.0003C18.6192 1.66669 19.2127 1.91252 19.6502 2.3501C20.0878 2.78769 20.3337 3.38118 20.3337 4.00002V6.33335C20.3337 6.95219 20.0878 7.54568 19.6502 7.98327C19.2127 8.42085 18.6192 8.66669 18.0003 8.66669H15.667C15.0482 8.66669 14.4547 8.42085 14.0171 7.98327C13.5795 7.54568 13.3337 6.95219 13.3337 6.33335V4.00002ZM1.66699 15.6667C1.66699 15.0478 1.91282 14.4544 2.35041 14.0168C2.78799 13.5792 3.38149 13.3334 4.00033 13.3334H6.33366C6.9525 13.3334 7.54599 13.5792 7.98357 14.0168C8.42116 14.4544 8.66699 15.0478 8.66699 15.6667V18C8.66699 18.6189 8.42116 19.2123 7.98357 19.6499C7.54599 20.0875 6.9525 20.3334 6.33366 20.3334H4.00033C3.38149 20.3334 2.78799 20.0875 2.35041 19.6499C1.91282 19.2123 1.66699 18.6189 1.66699 18V15.6667ZM13.3337 15.6667C13.3337 15.0478 13.5795 14.4544 14.0171 14.0168C14.4547 13.5792 15.0482 13.3334 15.667 13.3334H18.0003C18.6192 13.3334 19.2127 13.5792 19.6502 14.0168C20.0878 14.4544 20.3337 15.0478 20.3337 15.6667V18C20.3337 18.6189 20.0878 19.2123 19.6502 19.6499C19.2127 20.0875 18.6192 20.3334 18.0003 20.3334H15.667C15.0482 20.3334 14.4547 20.0875 14.0171 19.6499C13.5795 19.2123 13.3337 18.6189 13.3337 18V15.6667Z" stroke="#010C29" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
                                        </svg>

                                    </div>
                                </div><!-- /.header-modal-menu-left-btn --> 
                            <?php endif;?>
                        </div>
                    </div>                
                </div><!-- /.col-md-12 -->

            </div><!-- /.row -->
        </div><!-- /.container -->
    </div>

    <div class="inner-header-menu">  
        <div class="tf-container">
            <div class="row">
                <div class="col-md-12">
                    <div class="header-menu">
                        <?php get_template_part( 'tpl/header/navigator'); ?>
                        <div class="header-menu-right">
                            <?php  
                                if ( themesflat_get_opt('social_header') == 1 ):
                                    themesflat_render_social();    
                                endif;
                            ?>
                             <?php if ( themesflat_get_opt('header_info_phone_text') != '' || themesflat_get_opt('header_info_phone_number') != '' ) :?>
                                <div class="content-phone">
                                    <span class="text"><?php echo themesflat_get_opt('header_info_phone_text'); ?></span>
                                    <a class="phone"><?php echo themesflat_get_opt('header_info_phone_number'); ?></a> 
                                </div>                                
                            <?php endif;?>
                        </div>
                        <div class="logo-header-main">
                            <?php get_template_part( 'tpl/header/brand-mobile'); ?>
                        </div>
                        <div class="btn-menu">
                                <span class="line-1"></span>
                            </div><!-- //mobile menu button -->
                    </div>             
                </div><!-- /.col-md-12 -->

            </div><!-- /.row -->
        </div><!-- /.container -->
    </div>

    <div class="canvas-nav-wrap">
        <div class="overlay-canvas-nav"><div class="canvas-menu-close"><span></span></div></div>
        <div class="inner-canvas-nav">
            <?php get_template_part( 'tpl/header/brand-mobile'); ?>
            <nav id="mainnav_canvas" class="mainnav_canvas" role="navigation">
                <?php
                    wp_nav_menu( array( 'theme_location' => 'primary', 'fallback_cb' => 'themesflat_menu_fallback', 'container' => false ) );
                ?>
            </nav><!-- #mainnav_canvas -->  
        </div>
    </div><!-- /.canvas-nav-wrap --> 
</header><!-- /.header --> 