<?php 
$get_id_post_thumbnail = get_post_thumbnail_id();
$featured_image = sprintf('<img src="%s" alt="image">', \Elementor\Group_Control_Image_Size::get_attachment_image_src( $get_id_post_thumbnail, 'thumbnail', $settings )); 
$target = $settings['link_3']['is_external'] ? ' target="_blank"' : '';
$nofollow = $settings['link_3']['nofollow'] ? ' rel="nofollow"' : '';
$target2 = $settings['link_4']['is_external'] ? ' target="_blank"' : '';
$nofollow2 = $settings['link_4']['nofollow'] ? ' rel="nofollow"' : '';
$icon = \Elementor\Addon_Elementor_Icon_manager_labaid::render_icon( $settings['post_icon_readmore_3'], [ 'aria-hidden' => 'true' ] );
$button = sprintf( '<div class="tf-button-container">
    <a href="%2$s" class="tf-button" %3$s %4$s>%5$s %1$s </a>
</div>',$settings['button_text_3'], $settings['link_3']['url'], $target, $nofollow, $icon);
$icon2 = \Elementor\Addon_Elementor_Icon_manager_labaid::render_icon( $settings['post_icon_readmore_4'], [ 'aria-hidden' => 'true' ] );
$button2 = sprintf( '<div class="tf-button-container">
    <a href="%2$s" class="tf-button" %3$s %4$s>%5$s %1$s </a>
</div>',$settings['button_text_4'], $settings['link_4']['url'], $target2, $nofollow2, $icon2);
?>
<div class="item">
    <div class="entry blog-post"> 

        
        <div class="content">
        <?php if ( $settings['show_image'] == 'yes' ): ?>                                    
        <div class="overlay">
            <?php echo sprintf('%s',$featured_image); ?>
        </div>
        <?php endif; ?>
        <?php if ( $settings['show_meta'] == 'yes' ): ?>                                          
            <div class="post-meta">
                <?php if ( $settings['show_meta_user'] == 'yes' ): ?>
                <span class="post-meta-inner meta-user">
                    <a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>">  <?php echo esc_html__('By ', 'themesflat-core').'<span>'.get_the_author().'</span>'; ?></a>
                </span>
                <?php endif; ?>
                <?php if ( $settings['show_meta_comment'] == 'yes' ): ?>
                <span class="post-meta-inner">
                    <?php echo comments_popup_link( esc_html__( '0 Comments ', 'tf-addon-for-elementer' ), esc_html__(  '1 Comment', 'tf-addon-for-elementer' ), esc_html__( '% Comments', 'tf-addon-for-elementer' ) ); ?>
                </span>
                <?php endif; ?>
                <?php if ( $settings['show_meta_category'] == 'yes' ): ?>
                <span class="post-meta-inner meta-category">
                    <?php echo get_the_category_list(','); ?>
                </span>
                <?php endif; ?>
                <?php if ( $settings['show_meta_date'] == 'yes' ): ?>
                <?php
                $archive_year  = get_the_time('Y'); 
                $archive_month = get_the_time('m'); 
                $archive_day   = get_the_time('d');
                ?>
               <span class="post-meta-inner">
                    <a href="<?php echo get_day_link($archive_year, $archive_month, $archive_day); ?>">
                      <?php echo get_the_date(); ?></a>
                </span>
                <?php endif; ?>
            </div>                                                  
             <?php endif; ?>
             
            <?php if ( $settings['show_title'] == 'yes' ): ?>
                <h2 class="title border_eff"><a href="<?php echo esc_url( get_the_permalink() ); ?>" title="<?php echo esc_attr( get_the_title() ); ?>"><?php echo get_the_title(); ?></a></h2>
            <?php endif; ?>

            <?php if ( $settings['show_excerpt'] == 'yes' ): ?>
                <div class="description"><?php echo wp_trim_words( get_the_content(), $settings['excerpt_lenght'], '' ); ?></div>
            <?php endif; ?>  
            <?php if ( $settings['show_button_2'] == 'yes' && $settings['button_text_3'] != '' && $settings['button_text_4'] != '' ): ?>
                <div class="group-button">
                    <?php echo $button; ?>
                    <?php echo $button2; ?>
                </div>
            <?php endif; ?> 
        </div>                    
    </div>
</div>