<div class="item">				
    <div class="team-post style-carousel team-post-<?php the_ID(); ?>">
    	<?php if ( has_post_thumbnail() ): ?>
        <div class="content-left">
            <div class="thumb">
                <a href="<?php echo get_the_permalink(); ?>">
                <?php 
            $get_id_post_thumbnail = get_post_thumbnail_id();
			echo sprintf('<img src="%s" alt="image">', \Elementor\Group_Control_Image_Size::get_attachment_image_src( $get_id_post_thumbnail, 'thumbnail', $settings ));
            ?></a>
            </div>
            <div class="content-inner">
                <div class="position">
                    <h4><?php echo themesflat_get_opt_elementor('team_post_position'); ?></h4>
                </div>
                <div class="social-content">
                    <?php 
                        $social_html = $social_1 = $social_2 = $social_3 = $social_4 = '';
                        $target_1 = $target_2 = $target_3 = $target_4 = '';
                        $nofollow_1 = $nofollow_2 = $nofollow_3 = $nofollow_4 = '';
                        $icon_1 = $icon_2 = $icon_3 = $icon_4 = '';
                        $link_1 = $link_2 = $link_3 = $link_4 = '';
                        $icon_1 = \Elementor\Addon_Elementor_Icon_manager_labaid::render_icon( themesflat_get_opt_elementor('team_post_social_icon_1') );
                        $icon_2 = \Elementor\Addon_Elementor_Icon_manager_labaid::render_icon( themesflat_get_opt_elementor('team_post_social_icon_2') );
                        $icon_3 = \Elementor\Addon_Elementor_Icon_manager_labaid::render_icon( themesflat_get_opt_elementor('team_post_social_icon_3') );
                        $icon_4 = \Elementor\Addon_Elementor_Icon_manager_labaid::render_icon( themesflat_get_opt_elementor('team_post_social_icon_4') );

                        if ( $icon_1 != '' ) {
                            if ( ! empty( themesflat_get_opt_elementor('team_post_social_link_1')['url'] ) ) {
                                $link_1 = themesflat_get_opt_elementor('team_post_social_link_1')['url'];
                                $target_1 = themesflat_get_opt_elementor('team_post_social_link_1')['is_external'] ? ' target="_blank"' : '';
                                $nofollow_1 = themesflat_get_opt_elementor('team_post_social_link_1')['nofollow'] ? ' rel="nofollow"' : '';
                            }												
                            $social_1 .= '<a href="' . $link_1 . '" ' . $target_1 . $nofollow_1 . '>'.$icon_1.'</a>';
                        }

                        if ( $icon_2 != '' ) {
                            if ( ! empty( themesflat_get_opt_elementor('team_post_social_link_2')['url'] ) ) {
                                $link_2 = themesflat_get_opt_elementor('team_post_social_link_2')['url'];
                                $target_2 = themesflat_get_opt_elementor('team_post_social_link_2')['is_external'] ? ' target="_blank"' : '';
                                $nofollow_2 = themesflat_get_opt_elementor('team_post_social_link_2')['nofollow'] ? ' rel="nofollow"' : '';
                            }												
                            $social_2 .= '<a href="' . $link_2 . '" ' . $target_2 . $nofollow_2 . '>'.$icon_2.'</a>';
                        }

                        if ( $icon_3 != '' ) {
                            if ( ! empty( themesflat_get_opt_elementor('team_post_social_link_3')['url'] ) ) {
                                $link_3 = themesflat_get_opt_elementor('team_post_social_link_3')['url'];
                                $target_3 = themesflat_get_opt_elementor('team_post_social_link_3')['is_external'] ? ' target="_blank"' : '';
                                $nofollow_3 = themesflat_get_opt_elementor('team_post_social_link_3')['nofollow'] ? ' rel="nofollow"' : '';
                            }												
                            $social_3 .= '<a href="' . $link_3 . '" ' . $target_3 . $nofollow_3 . '>'.$icon_3.'</a>';
                        }

                        if ( $icon_4 != '' ) {
                            if ( ! empty( themesflat_get_opt_elementor('team_post_social_link_4')['url'] ) ) {
                                $link_4 = themesflat_get_opt_elementor('team_post_social_link_4')['url'];
                                $target_4 = themesflat_get_opt_elementor('team_post_social_link_4')['is_external'] ? ' target="_blank"' : '';
                                $nofollow_4 = themesflat_get_opt_elementor('team_post_social_link_4')['nofollow'] ? ' rel="nofollow"' : '';
                            }												
                            $social_4 .= '<a href="' . $link_4 . '" ' . $target_4 . $nofollow_4 . '>'.$icon_4.'</a>';
                        }

                        if ( $icon_1 != '' || $icon_2 != '' || $icon_3 != '' || $icon_4 != '' ){
                            echo '<div class="social">'.$social_1.$social_2.$social_3.$social_4.'</div>';
                        }
                    ?>
                </div>
            </div>
        </div>
    	<?php endif; ?>
        <div class="inner-team">
			<?php if ( themesflat_get_opt('team_featured_title') != '' ): ?>
				<h3 class="post-title"><?php the_title(); ?></h3>
			<?php endif; ?>
			<span class="team-category"><?php echo esc_attr ( the_terms( get_the_ID(), 'team_category', '', '', '' ) ); ?></span>
            <p class="sub-title"><?php echo themesflat_get_opt_elementor('team_post_subtitle'); ?></p>
			<h3 class="title"><?php echo themesflat_get_opt_elementor('team_post_title'); ?></h3>
			<p class="post-description"><?php echo themesflat_get_opt_elementor('team_post_description'); ?></p>
            <?php $team_post_button_url = themesflat_get_opt_elementor('team_post_button_url')['url']; ?>
            <?php $team_post_button_icon  = \Elementor\Addon_Elementor_Icon_manager_labaid::render_icon( themesflat_get_opt_elementor('team_post_button_icon'), [ 'aria-hidden' => 'true' ] ); ?>
            <a href="<?php echo $team_post_button_url ?>" class="team-btn"><?php echo $team_post_button_icon.themesflat_get_opt_elementor('team_post_button_text'); ?></a>
		</div>
    </div>
</div>