<?php 
add_filter( 'elementor/icons_manager/additional_tabs', 'themesflat_iconpicker_register' );

function themesflat_iconpicker_register( $icons = array() ) {
	
	$icons['theme_icon'] = array(
		'name'          => 'theme_icon',
		'label'         => esc_html__( 'Theme Icons', 'themesflat-elementor' ),
		'labelIcon'     => 'icon-labaid-menu',
		'prefix'        => '',
		'displayPrefix' => '',
		'url'           => THEMESFLAT_LINK . 'css/icon-labaid.css',
		'fetchJson'     => URL_THEMESFLAT_ADDONS_ELEMENTOR_THEME . 'assets/css/labaid_fonts_default.json',
		'ver'           => '1.0.0',
	);

	$icons['labaid_icon'] = array(
		'name'          => 'labaid_icon',
		'label'         => esc_html__( 'labaid Icons', 'themesflat-elementor' ),
		'labelIcon'     => 'icon-labaid-la-53',
		'prefix'        => '',
		'displayPrefix' => '',
		'url'           => THEMESFLAT_LINK . 'css/icon-labaid.css',
		'fetchJson'     => URL_THEMESFLAT_ADDONS_ELEMENTOR_THEME . 'assets/css/labaid_fonts_extend.json',
		'ver'           => '1.0.0',
	);

	return $icons;
}